# Interface BufferPool.BufferPoolAPI

Enclosing class:
  `BufferPool`

public static interface BufferPool.BufferPoolAPI

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`XByteBuffer`
`getBuffer(int minSize, boolean discard)`
`void`
`returnBuffer(XByteBuffer buffer)`
`void`
`setMaxSize(int bytes)`

## Method Details

### setMaxSize

void setMaxSize(int bytes)

### getBuffer

XByteBuffer getBuffer(int minSize, boolean discard)

### returnBuffer

void returnBuffer(XByteBuffer buffer)

### clear

void clear()